Updates the working channel of an agent
PUT
Updates the working channel of an agent
ApiKeyAuth organization.member.presence.working_mediaheader
Authorization<token>Scope: organization.member.presence.working_media
agentId*stringThe agent id
Format
uuidThe state of the agent presence channel
application/json- body
channel*stringvalues: [Email, InteractiveChat, Messaging, Speak]
working*booleanThe working channel of the agent was successfully updated
curl -X PUT 'https://dev.dixa.io/v1/agents/{agentId}/presence/working-channel' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "channel": "Speak", "working": false}'Empty